Межсайтовый скриптинг в IBM WebSphere Service Registry and Repository

Дата публикации:
24.12.2014
Дата изменения:
24.12.2014
Всего просмотров:
694
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
2
CVSSv2 рейтинг:
(AV:N/AC:M/Au:N/C:N/I:P/A:N/E:U/RL:OF/RC:C) = Base:4.3/Temporal:3.2
(AV:N/AC:M/Au:N/C:N/I:P/A:N/E:U/RL:OF/RC:C) = Base:4.3/Temporal:3.2
CVE ID:
CVE-2014-6178
CVE-2014-6179
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
IBM WebSphere Service Registry and Repository 7.x
Уязвимые версии:
IBM WebSphere Service Registry and Repository версии до 7.5.0.4

Описание:

Уязвимость позволяет удаленному пользователю осуществить XSS-атаку.

1. Уязвимость существует из-за неизвестной ошибки при обработке входных данных, связанной с Web UI. Удаленный пользователь может с помощью специально сформированной ссылки выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за неизвестной ошибки при обработке входных данных, связанной с widget. Удаленный пользователь может с помощью специально сформированной ссылки выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.


URL производителя: http://www-947.ibm.com/support/entry/portal/Overview/Software/WebSphere/WebSphere_Service_Registry_and_Repository

Решение: Установите последнюю версию с сайта производителя.

Ссылки: http://www.ibm.com/support/docview.wss?uid=swg21693384